html, body {
    margin: 0;
}

body {
    display: flex;
    align-items: center;
    flex-direction: column;
    margin: 0;
    background-image: url('img/desert.png');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    height: 100vh; 
    width: 100%;
}

h1 {
    text-align: center;
}

canvas {
    background-color: black;
    display: block;
}

.fullscreen {
    position: absolute; 
    bottom: 10px; 
    right: 10px; 
    cursor: pointer;
}

.fullscreen > img {
    width: 40px; 
    height: 40px;
}

@font-face {
    font-family: 'Boogaloo';
    src: url('fonts/Boogaloo/Boogaloo-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}


@media only screen and (max-width: 720px) {
    canvas {
        width: 100vw;
        height: 100vh;
    }    

    #title {
        display: none;
    }

    #fullscreen {
        display:  block;
    }
}

@media only screen and (max-height: 480px) {
    canvas {
        position: absolute;
        top: 0;
        left: 0;
        height: 100vh;
        width: 100vw;
        margin: 0;
    }

    #title {
        display: none;
    }

    #fullscreen {
        display:  block;
    }
}

/* Nur im Portrait-Modus */
@media screen and (orientation: portrait) {
    .canvas {
        position: absolute;
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
    }

    .menu {
        width: 100%;
    }

    #title {
        display: none;
    }

    #fullscreen {
        display:  none;
    }
}

/* Nur im Landscape-Modus */
@media screen and (orientation: landscape) {
    .canvas {
        position: absolute;
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
    }

    #title {
        display: none;
    }

    #fullscreen {
        display:  none;
    }
}

